Bug 150204 - Switch off Lexer's Token Hierarchy during document loading
Switch off Lexer's Token Hierarchy during document loading
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: -- Other --
6.x
PC All
: P2 (vote)
: 6.x
Assigned To: Miloslav Metelka
issues@editor
: PERFORMANCE
Depends on:
Blocks: 151916
  Show dependency treegraph
 
Reported: 2008-10-15 11:41 UTC by Miloslav Metelka
Modified: 2009-02-19 20:45 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miloslav Metelka 2008-10-15 11:41:31 UTC
Since the document's contents are read in 16K blocks and Document.insertString() is done for each block the lexer gets
invoked after each block's insert. For large documents with complex embeddings with possibly long top-level tokens such
as JSP it may be costly. It would be better to update hierarchy at the end of the whole reading.
 The clients of token hierarchy should be prepared that the hierarchy becomes inactive at any time but it's necessary to
verify whether they really are in reality.
Comment 1 Miloslav Metelka 2008-11-07 21:39:43 UTC
http://hg.netbeans.org/main/rev/450b6ca9b564
Comment 2 Quality Engineering 2008-11-08 04:28:49 UTC
Integrated into 'main-golden', will be available in build *200811080201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/450b6ca9b564
User: Miloslav Metelka <mmetelka@netbeans.org>
Log: #150204 - Switch off Lexer's Token Hierarchy during document loading.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo